<?php
/**
 * Call2Pay API/light Demo
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );
	require_once( './lib/init.php' );
	require_once( './lib/services/' . MCP__DEBITSERVICE_INTERFACE . '.php' );
	require_once( MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php');  
	
	session_name('call2paylight');
	session_start();
	
	
	//get amount, test product defined in config.php
	$productsAmount = $aProductList['P0001']['amount'];
	
	//call country method
	//create service object
	$oCountry = new c2pService();	
	$oCountry -> setParameter('action', 'country');
	$oCountry -> setParameter('project', PROJECT_NAME);
	$oCountry -> setParameter('amount', $productsAmount);
	$oCountry -> setParameter('currency', PROJECT_CURRENCY);
	$oCountry -> setParameter('ip', $_SERVER['REMOTE_ADDR']);

	//call request and handle errors
	if ($oCountry -> request()) { 
		$error = $oCountry -> getResult('error', 0);
		$errormessage = $oCountry -> getResult('errormessage');
	} 


	//handle results
	$countrycount = $oCountry -> getResult('countrycount');
	$country = array(); $country = $oCountry -> getResult('country');
	$ipcountry = $oCountry -> getResult('ipcountry');
	$ipprovider = $oCountry -> getResult('ipprovider');

	//create service object
	$oInit = new c2pService();

	$oInit -> setParameter('action', 'init');
	$oInit -> setParameter('project', PROJECT_NAME);
	$oInit -> setParameter('projectcampaign', 'keine');
	$oInit -> setParameter('sessionid', session_id());
	$oInit -> setParameter('ip', $_SERVER['REMOTE_ADDR']);
	
	$oInit -> setParameter('country', $ipcountry);
	$oInit -> setParameter('language', $ipcountry);

	$oInit -> setParameter('amount', $productsAmount);
	$oInit -> setParameter('currency', PROJECT_CURRENCY);
	$oInit -> setParameter('title', PROJECT_TITLE);
	$oInit -> setParameter('multicall', 1);

	// call request and handle errors
	if ($oInit -> request()) { 
		$error = $oInit -> getResult('error', 0);
		$errormessage = $oInit -> getResult('errormessage');
	} 
	
	$aResult = array (
		'status' => $oInit -> getResult('status'),
		'handle' => $oInit -> getResult('handle'),
		'number' => $oInit -> getResult('number'),
		'numberinfo' => $oInit -> getResult('numberinfo'),
		'mode' => $oInit -> getResult('mode'),
		'tan' => $oInit -> getResult('tan'),
		'amount' => $oInit -> getResult('amount'),
		'currency' => $oInit -> getResult('currency'),
		'duration' => $oInit -> getResult('duration'),
		'durationpart' => $oInit -> getResult('durationpart'),
		'split' => $oInit -> getResult('split'),
		'paid' => $oInit -> getResult('paid'),
		'callcnt' => $oInit -> getResult('callcnt')
	);
	
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>Call2Pay API/light Demo</title>
	<link href="screen.css" rel="stylesheet">
	<script src="./lib/js/prototype-1.6.0.3.js" type="text/javascript"></script> 	
</head>


<body 	
	onLoad="new Ajax.PeriodicalUpdater('status', 'status.php', {
  		evalScripts: true,
  		method: 'post', 
  		parameters: 'handle=<?php print $aResult['handle'];?>' ,
		onFailure: function() {
			alert('ERROR: Cannot send data. Please try again...');
		},
  		frequency: 6
	});
	
">

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><img src="./img/logo.call2pay.gif"></td>
				<td align="left">Call2Pay API/light DEMO</td>
			</tr>
		</table>
	</div>

	
	<div align="center">
	
		<table>
			<tr>
				<td class="border">
					
					<div id="content">
						<br />
						
						<div class="phoneNumber">Call2Pay f&uuml;r <?php print $definedCountries[$ipcountry];?>: 
						</div>
						
						<br />	
						<b>Folgende Schritte sind notwendig,<br />um das gew&uuml;nschte Angebot nutzen zu k&ouml;nnen.</b>
						<br /><br /><br />
						
						<table>
							<tr>
								<td></td>
								<td><img src="./img/icon.phone.green.48x48.gif"></td>
								<td><b>
									
									Rufen Sie folgende Telefonnummer an: </b><br />
									<div class="phoneNumber">
										<?php 
											print $aResult['number']."* ";
											print "<input class=\"button\" type=\"submit\" value=\"Anruf simulieren\" onclick=\"window.open('testcall.php?number=".$aResult['number']."&secs=".$aResult['duration']."&tan=".$aResult['tan']."', 'call', 'width=300,height=200,scrollbars=no');\">"; 
										?>
									</div>
								</td>
		
							</tr>
							<tr>
								<td></td>
								<td><img src="./img/icon.call.blue.48x48.gif"></td>
								<td>
									<?php 
										if ($aResult['tan'] != "") {
											print "<div class=\"tanNumber\">TAN: ".$aResult['tan']."</div>";
										}
									?>
									Halten Sie die Telefonverbindung aufrecht,<br />bis diese getrennt wird. 
								</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td></td>
								<td></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td></td>
								<td>
									<div id="status">
										test
									</div>
								</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td></td>
								<td></td>
							</tr>
	
						</table>
						
						* 
						<?php 
							print $aResult['numberinfo'];
							if ($aResult['split'] > 0) {
								print "<br /><br />";
								print "Bei Anrufen aus dem deutschen Festnetz werden Sie gebeten, 
									mit mehreren Anrufen zu bezahlen. Erst wenn Sie den Gesamtbetrag bezahlt haben, 
									wird dieser auf Ihrer Telefonrechnung belastet. ";
							} 
						?>

						<br />
						
						<br />
						<div id="<?php if (($errormessage != "") || ($_SESSION['errormessage'] != "")) print "statusError";?>">
							
								<?php 
									if ($errormessage != "") { 
										print $errormessage;
										//reset
										$errormessage = "";
									}
									if ($_SESSION['errormessage'] != "") { 
										print $_SESSION['errormessage'];
										//reset
										$_SESSION['errormessage'] = "";
									}									

								?>
								
						</div>
					</div>
					
				</td>
			</tr>
		</table>
		
	</div>
	
	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		Call2Pay API light Demo, version 1.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>

</body>