<?php 
/**
 * Call2Pay API/light Demo
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );
	require_once( './lib/init.php' );
	require_once( './lib/services/' . MCP__DEBITSERVICE_INTERFACE . '.php' );
	require_once( MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php');  
				
	session_name('call2paylight');
	session_start();

	//create service object
	$oStatus = new c2pService();	
	$oStatus -> setParameter('action', 'status');
	$oStatus -> setParameter('handle', getPostVar('handle'));
		
	//call service function, handle errors
	if (!$oStatus -> request()) { $error = '4001'; } 
	else {
		$error = $oStatus -> getResult('error', 0);
		$errormessage = $oStatus -> getResult('errormessage');
	}	
		
	// handle return
	$return = array (
		'status' => $oStatus -> getResult('status'),
		'expire' => $oStatus -> getResult('expire'),
		'caller' => $oStatus -> getResult('caller'),
		'origin' => $oStatus -> getResult('origin'),
		'duration' => $oStatus -> getResult('duration'),
		'durationpart' => $oStatus -> getResult('durationpart'),
		'freeparam' => $oStatus -> getResult('freeparam'),		
		'split' => $oStatus -> getResult('split'),
		'paid' => $oStatus -> getResult('paid'),
		'callcnt' => $oStatus -> getResult('callcnt')
	);
	
	//link to download page
	if ($return['status'] == 'COMPLETE') {
			print '<SCRIPT language="JavaScript">window.location="./download.php";</SCRIPT>'; 
			exit(0);
	}
	
	//multicall mode
	if (getPostVar('multicall') == '1') {
		
		if ($return['status'] == 'RECALL') {
			$_SESSION['recall'] = 1; 
			$_SESSION['errormessage'] = "Multicall:<br />Sie m&uuml;ssen einen weiteren Anruf t&auml;tigen...";
			print '<SCRIPT language="JavaScript">window.location="./index.php";</SCRIPT>';
			exit(0);
		};
		
		//STATUS REINIT when new call for multicall
		if (($return['status'] == 'REINIT') && ($_SESSION['tmp'] != '1')) {
			$_SESSION['error'] = '3009';
			//problem is that status=REINIT is set at the beginning CALL too
			$_SESSION['tmp'] = '1';
			print '<SCRIPT language="JavaScript">window.location="./index.php";</SCRIPT>';
		}
		if ($return['status'] == 'CALL') {
			$_SESSION['tmp'] = '0';
		}
	} 
	//no multicall
	else {
		//broken call
		if ($return['status'] == 'RECALL') {
			$_SESSION['recall'] = 1; 
			$_SESSION['errormessage'] = "Status RECALL: <br />Sie haben zu fr&uuml;h aufgelegt. Bitte wiederholen Sie den Anruf";
			print '<SCRIPT language="JavaScript">window.location="./index.php";</SCRIPT>';
			exit(0);
		}
	}
				
	$_SESSION['durationpart'] = $oStatus -> getResult('duration');
		
	if(number_format((100 * ($return['durationpart'] / $return['duration'])), 0, ',', '.') == 0) {
	
		print "<img src='./img/waiting.gif'>";
	}
	else {
		//progress bar in %
		print "<table width='300' style='border:1px solid #5a7411;'>
					<tr>
						<td>";
		print 				"<img src='./img/progressbar.jpg' align='absmiddle' height='5' width='".(100 * ($return['durationpart'] / $return['duration']))."%'>";
		print 			"</td>
					</tr>
				</table>";
		
		print number_format((100 * ($return['durationpart'] / $return['duration'])), 0, ',', '.')."% erledigt...";
	}


	exit(0);
?>